#!/bin/bash

# ./build.sh -o linux -a amd64

while getopts "o:a:" option; do
  case "${option}" in
    o)
      o_os=${OPTARG}
      ;;
    a)
      o_arch=${OPTARG}
      ;;
  esac
done

shift $(($OPTIND - 1))

if [ -z "${o_os}" ]; then
  echo "Option -o GOOS is not specified"
  exit 0
fi
if [ -z "${o_arch}" ]; then
  echo "Option -a GOARCH is not specified"
  exit 0
fi

rm -R ./dist
GOOS=${o_os} GOARCH=${o_arch} CGO_ENABLED=1 go build -a --installsuffix cgo --ldflags="-s" -o ./dist/probe-${o_os}-${o_arch} ./cmd/main.go
